Package com.avaya.clientservices.media

## Class AutomaticGainControlConfiguration

- java.lang.Object
- - com.avaya.clientservices.media.AutomaticGainControlConfiguration

-     public class AutomaticGainControlConfiguration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutomaticGainControlConfiguration()` |
    `AutomaticGainControlConfiguration​(boolean limiterEnable, int targetLeveldBOv, int digitalCompressionGaindB)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getDigitalCompressionGaindB()` |
    `int` | `getTargetLeveldBOv()` |
    `boolean` | `isLimiterEnabled()` |
    `void` | `setDigitalCompressionGaindB​(int gain)` |
    `void` | `setLimiterEnabled​(boolean state)` |
    `void` | `setTargetLeveldBOv​(int target)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutomaticGainControlConfiguration

          public AutomaticGainControlConfiguration()

    - #### AutomaticGainControlConfiguration

          public AutomaticGainControlConfiguration​(boolean limiterEnable,
                                                   int targetLeveldBOv,
                                                   int digitalCompressionGaindB)

  - ### Method Detail

    - #### isLimiterEnabled

          public boolean isLimiterEnabled()

    - #### setLimiterEnabled

          public void setLimiterEnabled​(boolean state)

    - #### getTargetLeveldBOv

          public int getTargetLeveldBOv()

    - #### setTargetLeveldBOv

          public void setTargetLeveldBOv​(int target)

    - #### getDigitalCompressionGaindB

          public int getDigitalCompressionGaindB()

    - #### setDigitalCompressionGaindB

          public void setDigitalCompressionGaindB​(int gain)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`